import { AccountNotFoundError } from './errors/SdkError.mjs';

function assertAccountExists(account, name, solution) {
  if (!account.exists) {
    throw new AccountNotFoundError(account.address, name, solution);
  }
}

export { assertAccountExists };
//# sourceMappingURL=Account.mjs.map
