'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SdkError = require('./errors/SdkError.cjs');

function assertAccountExists(account, name, solution) {
  if (!account.exists) {
    throw new SdkError.AccountNotFoundError(account.address, name, solution);
  }
}

exports.assertAccountExists = assertAccountExists;
//# sourceMappingURL=Account.cjs.map
